﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication5;
using SyncfusionMvcApplication5.Grid;

using System.Collections;
using SyncfusionMvcApplication5.Models;
using Syncfusion.JavaScript.DataSources;
namespace SyncfusionMvcApplication5.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            var DataSource = new NorthwindDataContext().OrdersViews.ToList();
            ViewBag.datasource = DataSource;

            List<Employ> EmpData = new List<Employ>();
            EmpData.Add(new Employ
            {
                Text = "gradient-azure",
               
            });
            EmpData.Add(new Employ
            {
                Text = "flat-saffron",
               
            });
            EmpData.Add(new Employ
            {
                Text = "bootstrap-theme",
               
            });
            EmpData.Add(new Employ
            {
                Text = "flat-lime",
              
            });
            EmpData.Add(new Employ
            {
                Text = "gradient-azure-dark",

            });
            EmpData.Add(new Employ
            {
                Text = "gradient-lime",

            });
            EmpData.Add(new Employ
            {
                Text = "gradient-lime-dark",

            });
            ViewData["LocalDataSource"] = EmpData;
            return View();
        }

        public ActionResult GetUsers(Syncfusion.JavaScript.DataManager dm)
        {
            //  List<EditableOrder> emp = new List<EditableOrder>();
            // emp.Add(new EditableOrder() { ID = "100", Nome = "Jhon", Email = "ABC@email.com", OldPassword = "12345", Password = "123456", ConfirmPassword = "123456" });
            IEnumerable data = OrderRepository.GetAllRecords();
            DataOperations operation = new DataOperations();
            if (dm.Sorted != null && dm.Sorted.Count > 0) //Sorting
            {
                data = operation.PerformSorting(data, dm.Sorted);
            }
            if (dm.Where != null && dm.Where.Count > 0) //Filtering
            {
                data = operation.PerformWhereFilter(data, dm.Where, dm.Where[0].Operator);
            }
            int count = data.Cast<EditableOrder>().Count();
            if (dm.Skip != 0)
            {
                data = operation.PerformSkip(data, dm.Skip);
            }
            if (dm.Take != 0)
            {
                data = operation.PerformTake(data, dm.Take);
            }
            return Json(new { result = data, count = count });
        }

        public ActionResult Insert(EditableOrder value)
        {
            
            var data=OrderRepository.GetAllRecords();
            return Json(value, JsonRequestBehavior.AllowGet);
        }

        public class Employ
        {

            public string Text { get; set; }
        }
    }
}
