﻿using SyncfusionMvcApplication5.Grid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SyncfusionMvcApplication5.Models
{
    public class OrderRepository
    {
        public static IList<EditableOrder> GetAllRecords()
        {
            IList<EditableOrder> orders = (IList<EditableOrder>)HttpContext.Current.Session["Orders"];

            if (orders == null)
            {
                HttpContext.Current.Session["Orders"] = orders = (from ord in new NorthwindDataContext().Orders.Take(200)
                                                                  select new EditableOrder
                                                                  {
                                                                      OrderID = ord.OrderID,

                                                                      CustomerID = ord.CustomerID,
                                                                      EmployeeID = ord.EmployeeID,
                                                                      //     Freight = ord.Freight,
                                                                      ShipAddress = ord.ShipAddress,
                                                                      ShipCity = ord.ShipCity,
                                                                      ShipName = ord.ShipName,
                                                                      // ShipPostalCode = ord.ShipPostalCode,
                                                                      //ShipRegion = ord.ShipRegion,
                                                                      //ShipCountry = ord.ShipCountry
                                                                  }).ToList();
                //foreach (var order in orders)
                //{
                //    if (order.Freight > 30)
                //        order.Verified = true;
                //    else
                //        order.Verified = false;
                //}
            }
            return orders;
        }
    }
}